<div nz-row nzGutter="12">
  <div nz-col nzSpan="12">
    <nz-card nzSize="small" [nzTitle]="'Economy.Construction.updateConstructionQuality' | translate ">
      <form nz-form [formGroup]="constructionQualityUpdateForm" (ngSubmit)="updateConstructionQualitySubmit()">
        <nz-select formControlName="constructionType" style="width: 100%;">
          <nz-option nzValue="hospital" [nzLabel]="'Economy.Construction.Hospital' | translate "></nz-option>
          <nz-option nzValue="defenseSystem" [nzLabel]="'Economy.Construction.DefenseSystem' | translate "></nz-option>
        </nz-select>

        <div *ngIf="currentQuality != undefined">
          <div style="text-align: center;">
            <h3>{{'Citizen.Company.CurrentQuality' | translate }}: {{ currentQuality }}</h3>
          </div>
          <nz-form-item>
            <nz-form-label [nzSpan]="6" nzFor="email">{{'Economy.Construction.newQuality' | translate }}</nz-form-label>
            <nz-form-control [nzSpan]="14">
              <nz-input-number formControlName="quality" [nzMin]="0" [nzMax]="3" [nzStep]="1" [disabled]="isLoading"
                style="width: 100%;"></nz-input-number>
            </nz-form-control>
          </nz-form-item>

          <nz-form-item>
            <nz-form-label [nzSpan]="6" nzFor="email">{{ 'Common.Reason' | translate }}</nz-form-label>
            <nz-form-control [nzSpan]="14">
              <textarea [nzAutosize]="{ minRows: 1, maxRows: 5 }" nz-input formControlName="reason" [disabled]="isLoading"
                style="width: 100%;"></textarea>
            </nz-form-control>
          </nz-form-item>

          <nz-form-control style="text-align: center;">
            <button nz-button nzType="primary" type="submit" nzShape="round" [nzLoading]="isLoading">{{'Common.Buttons.Update' | translate }}</button>
          </nz-form-control>
        </div>
      </form>
    </nz-card>
  </div>
</div>
